Bug 145819 - /usr/lib/libstdc++-libc6.1-1.so.2 library missing
Summary: /usr/lib/libstdc++-libc6.1-1.so.2 library missing
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-21 21:40 UTC by Neena Bhatnagar
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 18:07:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neena Bhatnagar 2005-01-21 21:40:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; rv:1.7.3) Gecko/20041001 Firefox/0.10.1

Description of problem:
We need the /usr/lib/libstdc++-libc6.1-1.so.2 library to build our Java GUI.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

  

Additional info:

Comment 1 Steve Hedberg 2005-01-25 14:13:35 UTC
Veritas requests inclusion of this library in Red Hat 4.  We support customers 
running older versions of Red Hat who find it a hardship to quickly update 
versions of NetBackup across their entire enterprise.  If this cannot be added 
to RH4, we would appreciate comments on alternatives such as creating a link 
with this libary to the newer one.  For several reasons, we don't believe we 
can package this file with NetBackup.  We are aware of a compatability package 
that provides support from 2.1 to 3.0.  What compatability package will this 
file be contained in?  Might we be able to direct a customer to a package that 
has this file for 4.0?

Comment 3 Havoc Pennington 2005-01-28 14:10:44 UTC
Reassigning so the right person will see this.
(libsigc++ is unrelated to libstdc++)


Comment 4 Rob Kenna 2005-01-28 17:07:09 UTC
This should be in drops after beta 1.  Please retest with the latest release
candidate.

Comment 5 Jakub Jelinek 2005-01-28 18:07:52 UTC
rpm -qplv compat-libstdc++-296-2.96-132.7.2.i386.rpm
-rwxr-xr-x    1 root    root           258288 Dec 14 08:01
/usr/lib/libstdc++-2-libc6.1-1-2.9.0.so
-rwxr-xr-x    1 root    root           268428 Dec 14 08:01
/usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
lrwxrwxrwx    1 root    root               31 Dec 14 08:01
/usr/lib/libstdc++-libc6.2-2.so.3 -> libstdc++-3-libc6.2-2-2.10.0.so

The first library has:
 0x0000000e (SONAME)                     Library soname:
[libstdc++-libc6.1-1.so.2]

Note that this library is already 5 years old and very unlikely to appear
in future RHEL releases.

Comment 6 Steve Hedberg 2005-01-28 18:23:47 UTC
I understand that this is an old libarary.  The response I got from Rob Kenna 
is that this would be in Red Hat 4 in drops after beta 1.  VERITAS supports 
customers running older versions of Red Hat, and that is why we are making 
this request.  For us, we plan to drop support of these older versions, so if 
Red Hat 4 is the last release that has this library, we are OK.

Jakub, I'm going to interpret your message to mean that you want us to get off 
this library in the future but that it will be in Red Hat 4 as Rob Kenna 
writes.  If this is incorrect information, please let me know.

Steve Hedberg

Steve.Hedberg@veritas.com 

Comment 7 Jakub Jelinek 2005-01-28 18:27:19 UTC
Yeah, the above listed packages is included in RHEL4.  And we'd really appreciate
if RHEL4 could be the last version to include this library.


Note You need to log in before you can comment on or make changes to this bug.